From 4717089b68c386446be240f463f2f13e7024468b Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Mon, 22 Oct 2018 10:35:10 +0200
Subject: [PATCH] libkworkspace: Allow standalone build

---
 CMakeLists.txt               |  6 +++-
 1 file changed, 5 insertions(+), 1 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index e587a386..d1a63527 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -46,6 +46,7 @@ set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
 
 find_package(KF5TextEditor)
 find_package(KWinDBusInterface CONFIG REQUIRED)
+find_package(LibKWorkspace 5.14.1)
 
 find_package(KScreenLocker 5.13.80 REQUIRED)
 find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
@@ -135,7 +136,10 @@ endif()
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 add_subdirectory(doc)
-add_subdirectory(libkworkspace)
+if(NOT LibKWorkspace_FOUND)
+    message(STATUS "System LibKWorkspace not found, using bundled.")
+    add_subdirectory(libkworkspace)
+endif()
 add_subdirectory(libdbusmenuqt)
 add_subdirectory(appmenu)
 
-- 
2.19.1
